Phase (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.phase, class: Phase

Package org.apache.cxf.phase

# Class Phase

java.lang.Object
org.apache.cxf.phase.Phase

All Implemented Interfaces:
  `Comparable<Object>`

public class Phase extends Object implements Comparable<Object>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INVOKE`
  `static final String`
  `MARSHAL`
  `static final String`
  `MARSHAL_ENDING`
  `static final String`
  `POST_INVOKE`
  `static final String`
  `POST_LOGICAL`
  `static final String`
  `POST_LOGICAL_ENDING`
  `static final String`
  `POST_MARSHAL`
  `static final String`
  `POST_PROTOCOL`
  `static final String`
  `POST_PROTOCOL_ENDING`
  `static final String`
  `POST_STREAM`
  `static final String`
  `POST_STREAM_ENDING`
  `static final String`
  `POST_UNMARSHAL`
  `static final String`
  `PRE_INVOKE`
  `static final String`
  `PRE_LOGICAL`
  `static final String`
  `PRE_LOGICAL_ENDING`
  `static final String`
  `PRE_MARSHAL`
  `static final String`
  `PRE_PROTOCOL`
  `static final String`
  `PRE_PROTOCOL_ENDING`
  `static final String`
  `PRE_PROTOCOL_FRONTEND`
  `static final String`
  `PRE_STREAM`
  `static final String`
  `PRE_STREAM_ENDING`
  `static final String`
  `PRE_UNMARSHAL`
  `static final String`
  `PREPARE_SEND`
  `static final String`
  `PREPARE_SEND_ENDING`
  `static final String`
  `PROTOCOL`
  `static final String`
  `READ`
  `static final String`
  `RECEIVE`
  `static final String`
  `SEND`
  `static final String`
  `SEND_ENDING`
  `static final String`
  `SETUP`
  `static final String`
  `SETUP_ENDING`
  `static final String`
  `UNMARSHAL`
  `static final String`
  `USER_LOGICAL`
  `static final String`
  `USER_LOGICAL_ENDING`
  `static final String`
  `USER_PROTOCOL`
  `static final String`
  `USER_PROTOCOL_ENDING`
  `static final String`
  `USER_STREAM`
  `static final String`
  `USER_STREAM_ENDING`
  `static final String`
  `WRITE`
  `static final String`
  `WRITE_ENDING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Phase()`
  `Phase(String n, int p)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Object o)`
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  `int`
  `getPriority()`
  `int`
  `hashCode()`
  `void`
  `setName(String n)`
  `void`
  `setPriority(int p)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SETUP

    public static final String SETUP
    See Also:
      - Constant Field Values

  - ### SETUP_ENDING

    public static final String SETUP_ENDING
    See Also:
      - Constant Field Values

  - ### PRE_LOGICAL

    public static final String PRE_LOGICAL
    See Also:
      - Constant Field Values

  - ### PRE_LOGICAL_ENDING

    public static final String PRE_LOGICAL_ENDING
    See Also:
      - Constant Field Values

  - ### USER_LOGICAL

    public static final String USER_LOGICAL
    See Also:
      - Constant Field Values

  - ### USER_LOGICAL_ENDING

    public static final String USER_LOGICAL_ENDING
    See Also:
      - Constant Field Values

  - ### POST_LOGICAL

    public static final String POST_LOGICAL
    See Also:
      - Constant Field Values

  - ### POST_LOGICAL_ENDING

    public static final String POST_LOGICAL_ENDING
    See Also:
      - Constant Field Values

  - ### PRE_MARSHAL

    public static final String PRE_MARSHAL
    See Also:
      - Constant Field Values

  - ### MARSHAL

    public static final String MARSHAL
    See Also:
      - Constant Field Values

  - ### POST_MARSHAL

    public static final String POST_MARSHAL
    See Also:
      - Constant Field Values

  - ### MARSHAL_ENDING

    public static final String MARSHAL_ENDING
    See Also:
      - Constant Field Values

  - ### PRE_PROTOCOL

    public static final String PRE_PROTOCOL
    See Also:
      - Constant Field Values

  - ### PRE_PROTOCOL_FRONTEND

    public static final String PRE_PROTOCOL_FRONTEND
    See Also:
      - Constant Field Values

  - ### PRE_PROTOCOL_ENDING

    public static final String PRE_PROTOCOL_ENDING
    See Also:
      - Constant Field Values

  - ### USER_PROTOCOL

    public static final String USER_PROTOCOL
    See Also:
      - Constant Field Values

  - ### USER_PROTOCOL_ENDING

    public static final String USER_PROTOCOL_ENDING
    See Also:
      - Constant Field Values

  - ### POST_PROTOCOL

    public static final String POST_PROTOCOL
    See Also:
      - Constant Field Values

  - ### POST_PROTOCOL_ENDING

    public static final String POST_PROTOCOL_ENDING
    See Also:
      - Constant Field Values

  - ### PREPARE_SEND

    public static final String PREPARE_SEND
    See Also:
      - Constant Field Values

  - ### PREPARE_SEND_ENDING

    public static final String PREPARE_SEND_ENDING
    See Also:
      - Constant Field Values

  - ### PRE_STREAM

    public static final String PRE_STREAM
    See Also:
      - Constant Field Values

  - ### PRE_STREAM_ENDING

    public static final String PRE_STREAM_ENDING
    See Also:
      - Constant Field Values

  - ### USER_STREAM

    public static final String USER_STREAM
    See Also:
      - Constant Field Values

  - ### USER_STREAM_ENDING

    public static final String USER_STREAM_ENDING
    See Also:
      - Constant Field Values

  - ### POST_STREAM

    public static final String POST_STREAM
    See Also:
      - Constant Field Values

  - ### POST_STREAM_ENDING

    public static final String POST_STREAM_ENDING
    See Also:
      - Constant Field Values

  - ### WRITE

    public static final String WRITE
    See Also:
      - Constant Field Values

  - ### WRITE_ENDING

    public static final String WRITE_ENDING
    See Also:
      - Constant Field Values

  - ### SEND

    public static final String SEND
    See Also:
      - Constant Field Values

  - ### SEND_ENDING

    public static final String SEND_ENDING
    See Also:
      - Constant Field Values

  - ### RECEIVE

    public static final String RECEIVE
    See Also:
      - Constant Field Values

  - ### READ

    public static final String READ
    See Also:
      - Constant Field Values

  - ### PROTOCOL

    public static final String PROTOCOL
    See Also:
      - Constant Field Values

  - ### PRE_UNMARSHAL

    public static final String PRE_UNMARSHAL
    See Also:
      - Constant Field Values

  - ### UNMARSHAL

    public static final String UNMARSHAL
    See Also:
      - Constant Field Values

  - ### POST_UNMARSHAL

    public static final String POST_UNMARSHAL
    See Also:
      - Constant Field Values

  - ### PRE_INVOKE

    public static final String PRE_INVOKE
    See Also:
      - Constant Field Values

  - ### INVOKE

    public static final String INVOKE
    See Also:
      - Constant Field Values

  - ### POST_INVOKE

    public static final String POST_INVOKE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Phase

    public Phase()

  - ### Phase

    public Phase(String n, int p)

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String n)

  - ### getPriority

    public int getPriority()

  - ### setPriority

    public void setPriority(int p)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### compareTo

    public int compareTo(Object o)
    Specified by:
      `compareTo` in interface `Comparable<Object>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`